Response
A search response may contain either a person object or a list of possible persons, depending on our confidence level that we can match your search to a single person. See response types.
๐ Typically, a single person response will contain more data about the person than a possible person object. To pull up all the data about a possible person, youโll need to run a search using its search pointer.
Response Fieldsโ
A search response contains the following top-level fields:
| Property | Type | Description |
|---|---|---|
| @http_status_code | Integer | The HTTP status code of the response. Successful calls will be 200. |
| @visible_sources | Integer | The number of sources returned in the sources array (if show_sources is not false). |
| @available_sources | Integer | The number of sources we know of that are relevant to the search. |
| @persons_count | Integer | The number of persons returned in this API response. |
| @search_id | String | An internal ID that identifies the search on our systems. Useful for debugging. |
| query | Person | A person object representing your search parameters. Useful to see how we understood your search. |
| match_requirements | String | The canonical way to express the match requirement youโve sent. Useful to see how weโve parsed your criteria. |
| available_data | AvailableData | An available_data object. A summary of the data we have for this search. |
| error | String | An error message explaining an error that prevented your search from being run. |
| warnings | Array | An array of warning strings. |
| person | Person | A person object containing the data about the person you are searching forโif a single person was matched to your query. |
| possible_persons | Array | An array of person objects containing possible matches. |
| sources | Array | An array of source objects, in case you need to see where the data came from. |
๐ Metadata
Metadata is prefixed with the '@' character.